Package org.eclipse.zest.core.widgets

# Interface IContainer

All Known Subinterfaces:
  `IContainer2`

All Known Implementing Classes:
  `Graph`, `GraphContainer`

public interface IContainer
This interface describes all Zest components that are Containers. This is an internal interface and thus should not be used outside of Zest. Implementors of this interface must include the following two methods o addNode(GraphNode) o addNode(GraphContainer) These are not actually listed here because Java does not allow protected methods in interfaces.

@noimplement
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`applyLayout()`
Re-applies the current layout algorithm
`Graph`
`getGraph()`
`int`
`getItemType()`
`List<? extends GraphNode>`
`getNodes()`
`void`
`setLayoutAlgorithm(LayoutAlgorithm algorithm, boolean applyLayout)`
Sets the LayoutAlgorithm for this container and optionally applies it.

## Method Details

### getGraph

Graph getGraph()

### getItemType

int getItemType()

### applyLayout

void applyLayout()
Re-applies the current layout algorithm

### setLayoutAlgorithm

void setLayoutAlgorithm(LayoutAlgorithm algorithm, boolean applyLayout)
Sets the LayoutAlgorithm for this container and optionally applies it.

Parameters:
  `algorithm` - The layout algorithm to set
  `applyLayout` -

### getNodes

List<? extends GraphNode> getNodes()